org.apache.synapse.commons.throttle.core

## Class ThrottleDistributedInstancesCleanupTask

- java.lang.Object
- - org.apache.synapse.commons.throttle.core.ThrottleDistributedInstancesCleanupTask

-     public class ThrottleDistributedInstancesCleanupTask
      extends java.lang.Object

  This task is responsible for cleanup callers which has expired along with hazelcast shared params

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThrottleDistributedInstancesCleanupTask()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `getSharedTimestampWithFullId(java.lang.String id)` Return hazelcast shared timestamp for this caller context with given full id.
    `static void` | `removeTimestampWithFullId(java.lang.String id)` Destroy hazelcast shared timggestamp counter with full id, if it's local then remove the map entry
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThrottleDistributedInstancesCleanupTask

          public ThrottleDistributedInstancesCleanupTask()

  - ### Method Detail

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### getSharedTimestampWithFullId

          public static long getSharedTimestampWithFullId(java.lang.String id)

      Return hazelcast shared timestamp for this caller context with given full id. If it's not distributed will get from the local counter
      Parameters:
        `id` - of the shared counter
      Returns:
        shared hazelcast current shared counter

    - #### removeTimestampWithFullId

          public static void removeTimestampWithFullId(java.lang.String id)

      Destroy hazelcast shared timggestamp counter with full id, if it's local then remove the map entry
      Parameters:
        `id` - of the caller context

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.